
%global meadversion 2.0.2
%global namedversion 2.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package angus}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.2.redhat-00001

Name:           %{?scl_prefix}angus
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Angus Mail Project
Group:          Development/Java

%if %with mead
Source100: all-2.0.2.redhat-00001-project-sources.tar.gz
Source102: all-2.0.2.redhat-00001.pom
Source103: imap-2.0.2.redhat-00001.jar
Source104: gimap-2.0.2.redhat-00001.jar
Source105: smtp-2.0.2.redhat-00001.jar
Source106: taglib-2.0.2.redhat-00001.jar
Source107: dsn-2.0.2.redhat-00001.jar
Source108: logging-2.0.2.redhat-00001.pom
Source109: client-2.0.2.redhat-00001.jar
Source110: angus-core-2.0.2.redhat-00001.pom
Source111: webapp-2.0.2.redhat-00001.pom
Source112: jakarta.mail-2.0.2.redhat-00001.pom
Source113: taglib-2.0.2.redhat-00001-sources.jar
Source114: servlet-2.0.2.redhat-00001.jar
Source115: outlook-2.0.2.redhat-00001.pom
Source116: logging-2.0.2.redhat-00001-sources.jar
Source117: angus-mail-2.0.2.redhat-00001.jar
Source118: providers-2.0.2.redhat-00001.pom
Source119: mbox-2.0.2.redhat-00001.jar
Source120: dsn-2.0.2.redhat-00001-sources.jar
Source121: mbox-2.0.2.redhat-00001-sources.jar
Source122: demo-2.0.2.redhat-00001.pom
Source123: smtp-2.0.2.redhat-00001.pom
Source124: angus-mail-2.0.2.redhat-00001.pom
Source125: logging-mailhandler-2.0.2.redhat-00001.jar
Source126: smtp-2.0.2.redhat-00001-sources.jar
Source127: client-2.0.2.redhat-00001.pom
Source128: pop3-2.0.2.redhat-00001.pom
Source129: outlook-2.0.2.redhat-00001-sources.jar
Source130: outlook-2.0.2.redhat-00001.jar
Source131: webapp-2.0.2.redhat-00001-sources.jar
Source132: jakarta.mail-2.0.2.redhat-00001-sources.jar
Source133: pop3-2.0.2.redhat-00001.jar
Source134: angus-core-2.0.2.redhat-00001-sources.jar
Source135: webapp-2.0.2.redhat-00001.war
Source136: demo-2.0.2.redhat-00001.jar
Source137: angus-mail-documentation-2.0.2.redhat-00001.pom
Source138: jakarta.mail-2.0.2.redhat-00001.jar
Source139: logging-2.0.2.redhat-00001.jar
Source140: angus-mail-2.0.2.redhat-00001-sources.jar
Source141: imap-2.0.2.redhat-00001-sources.jar
Source142: servlet-2.0.2.redhat-00001.pom
Source143: dsn-2.0.2.redhat-00001.pom
Source144: gimap-2.0.2.redhat-00001.pom
Source145: mbox-2.0.2.redhat-00001.pom
Source146: all-2.0.2.redhat-00001-resources.zip
Source147: imap-2.0.2.redhat-00001.pom
Source148: gimap-2.0.2.redhat-00001-sources.jar
Source149: client-2.0.2.redhat-00001-sources.jar
Source150: pop3-2.0.2.redhat-00001-sources.jar
Source151: servlet-2.0.2.redhat-00001-sources.jar
Source152: logging-mailhandler-2.0.2.redhat-00001-sources.jar
Source153: angus-core-2.0.2.redhat-00001.jar
Source154: demos-2.0.2.redhat-00001.pom
Source155: logging-mailhandler-2.0.2.redhat-00001.pom
Source156: taglib-2.0.2.redhat-00001.pom
Source157: demo-2.0.2.redhat-00001-sources.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            http://eclipse-ee4j.github.io/mail
BuildArch:      noarch
BuildRoot:      %{_tmppath}/angus-%{namedversion}-%{release}-root

%description
Angus Mail Project.

%package -n %{?scl_prefix}angus-mail
Summary:        Angus Mail Provider
Group:          Development/Java


%description -n %{?scl_prefix}angus-mail
%{summary}.


%if %with javadoc
%package angus-mail-javadoc
Summary:        Javadoc for angus-mail
Group:          Development/Java

BuildRequires:  unzip

%description angus-mail-javadoc
%{summary}.

%endif

%prep
%setup -q -n all-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/angus-mail-%{namedversion}.jar %{buildroot}%{_javadir}/angus-mail-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/angus-mail-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/angus-mail-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/angus-mail-%{namedversion}-sources.jar %{buildroot}%{_javadir}/angus-mail-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/angus-mail-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/angus-mail-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/angus-mail-%{namedversion} -x META-INF/\*
%{__ln_s} angus-mail-%{namedversion} %{buildroot}%{_javadocdir}/angus-mail

%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}angus-mail
%defattr(0644,root,root,0755)
%doc LICENSE.md NOTICE.md README.md CONTRIBUTING.md
%{_javadir}/angus-mail-%{namedversion}.jar
%{_javadir}/angus-mail.jar
%if %with javadoc
%{_javadir}/angus-mail-%{namedversion}-javadoc.jar
%{_javadir}/angus-mail-javadoc.jar
%endif
%{_javadir}/angus-mail-%{namedversion}-sources.jar
%{_javadir}/angus-mail-sources.jar


%if %with javadoc
%files -n %{?scl_prefix}angus-mail-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/angus-mail-%{namedversion}
%{_javadocdir}/angus-mail
%endif

%changelog
* Wed Jun 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.2-1.redhat_00001.1
- Built by CPaaS

* Thu Apr 13 2023 cpaas-ops <cpaas-ops@redhat.com> - 2.0.1-1.redhat_00001.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-2.redhat_00001.1
- Built by CPaaS

* Fri Sep 30 2022 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_00001.1
- 1.0.0.redhat-00001
